List All Schedules for a Project
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"cronExpression": "0 * * ? * * *",
"cronTimezone": "Europe/Dublin",
"effectiveFrom": "2022-05-19T12:37:44.000Z",
"environmentName": "Dev Environment",
"gridVariables": {
"grid1": [
[
"col1",
"col2",
"col3"
],
[
"col1a",
"col2a",
"col3a"
]
]
},
"intervalExpression": {
"interval": 123,
"unit": "<string>"
},
"lastRunAt": "2022-06-30T01:14:00.000Z",
"name": "Nightly database backup",
"nextRunAt": "2022-06-30T01:15:00.000Z",
"pipelineName": "Nightly database backup",
"scalarVariables": {
"variable1": "value1",
"variable2": "value2"
},
"scheduleEnabled": false,
"scheduleId": "a2239897-51f8-4c09-83ab-0b2c28bd5a37",
"versionName": "1.2.0"
}
],
"size": 50,
"total": 472
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Schedules
List All Schedules for a Project
An endpoint for listing schedules for a project
GET
/
v1
/
projects
/
{projectId}
/
schedules
List All Schedules for a Project
Authorizations
a valid bearer token
Path Parameters
Query Parameters
Response
Schedules returned successfully with no errors
Was this page helpful?
⌘I
